### Basic AT Commands

Default values of command parameters, if applicable, are indicated by an asterisk (*)

A Answer

| Causes the modem to go off-hook and attempt to establish a connection.

Bn Line Modulation Options

| Configures the modem for CCITT or Bell modulation for line speeds of 300 or 1200 bps. Range: n = 0 or 1

| Default: n = 1

Cn Carrier Control Option (no operation)

| This command is included to provide backward compatibility with communications software that issues this command.

Dn Dial Command

| Initiates the dialing sequence. The modem goes on-line, dials as specified in the string n, and attempts to make a connection. The string n includes the dial modifiers and the telephone number to be dialed.

| L: Redial last number.

| P: Pulse dial. Only digits 0-9 may be used in pulse dial mode.

| R: No operation.

| S=n: Dial stored number. See &Z.

| T: Tone DTMF dial. Any digit 0-9, *, #, A, B, C, D may be dialed as a tone.

| W: Wait for dial tone.

| ,: Pause.

| !: Flash hook.

| @: Wait for silence.

| &: Wait for credit card dialing tone before continuing.

| ^: Toggle calling tone enable/disable.

| ;: Return to idle state.

| >: Generate grounding pulse on the EARTH relay output.

En AT Command Echo Options

| Enables echo of command characters.

| Range: n = 0 or 1 Default: n = 0

Hn Hang up

| Causes modem to go on-hook.

| Range: n = 0 or 1 Default: n = 0

In Modem Identification

| Causes modem to provide information about itself.

| Range: 0 to 4

Ln Speaker Volume

| Sets the speaker volume.

| Range: n = 0 to 3 Default: n = 2

Mn Speaker Control

| Specifies when the speaker will be enabled or disabled.

| Range: n = 0 to 3 Default: n = 1

Nn Automode Enable

| Controls automode enable/disable.

| Range: n = 0 or 1 Default: n = 1

On Go Online

| Causes the modem to go to online data mode.

| Range: n = 0 or 1 Default: n = 0

P Set Pulse Dialing

| Instructs the modem to use pulse dialing by default.

Qn Result Code Display Option

| Controls whether result codes are returned to the DTE.

| Range: n = 0 or 1 Default: n = 0

Sn Select S Register

| Selects a specific S register and establishes it as the last-accessed S register.

| Range: n = 0 to 99

Sn=m

| Writes the decimal value m to S register n.

| Range: n=0-99 decimal, m=0-255 decimal

Sn? Read S Register n

| Reports the value of S register n as a 3-digit decimal number.

| Range: n=0-99 decimal

T Enable Tone dialing

| Instructs the modem to use tone dialing by default.

Vn Result Code Format

| Controls whether result codes are returned to the DTE.

| Range: n = 0 or 1 Default: n = 1

Wn Connect Message Format

| Defines which result codes are to be used to identify the type of connection and protocol.

| Range: n = 0 to 2 Default: n = 0

Xn Select Result Codes/Call Progress Options

| Enables the tone detection options used in the dialing process.

| Range: n = 0 to 4 Default: n = 4

Yn Long Space Disconnect

| Enables or disables long space disconnect.

| Range: n = 0 or 1 Default: n = 0

Zn Recall Stored Profile

| Forces the modem to go on-hook and restore the selected profile.

| Range: n = 0 or 1 Default: n = 0

#### AT& (Ampersand) Commands

&Cn Data Carrier Detect Option

| Controls how the state of the DCD or RLSD relates to the carrier from the remote system.

| Range: n = 0 or 1 Default: n = 0

&Dn Data Terminal Ready Option

| Defines modem action when DTR changes from ON to OFF.

| Range: n = 0 to 3 Default: n = 0

&Fn Load Factory Settings

| Loads the configuration programmed at the factory.

| Range: n = 0 or 1 Default: n = 0

&Gn Guard Tone Operation

| Determines which guard tone, if any, to transmit.

| Range: n = 0 to 2 Default: n = 0

&Jn Telephone Jack Control

| This command is included for compatibility, and performs no function.

| Range: n = 0 or 1

&Kn Set Flow Control

| Defines how the DTE and DCE will handle flow control.

| Range: n = 0, 3, 4, 5 or 6 Default: n = 3

&Ln Dial-Up/Leased-Line Option

| Included for compatibility only, and has no effect on dial-up operation.

| Range: n = 0

&Pn Dial Pulse Ratio

| Determines the make/break ratio used during pulse dialing.

| Range: n = 0 to 3 Default: n = 0

&Qn Communications Mode Option

| Selects the connection modes permitted.

| Range: n = 0 to 6 Default: n = 5

&Rn RTS/CTS Option (non-CTS Flow Control Mode)

| Defines the functions of CTS.

| Range: n = 0 or 1 Default: n = 1

&Sn Data Set Ready Option

| Controls the functions of DSR.

| Range: n = 0 or 1 Default: n = 0

&Tn Self Test Commands

| Performs specified test and diagnostic functions.

| Range: n = 0, 3, 4, 5, 7 or 8 Default: n = 4

&V View Active Configuration and Stored Profile

| Displays the active and stored profiles (commands and S register settings), and the first four stored telephone numbers.

&Wn Store Active Profile

| Stores current command options and S register values into one of the two nonvolatile stored profile locations.

| Range: n = 0 or 1 Default: n = 0

&Xn Sync Transmit Clock Source

| Determines how the DTE transmit clock is generated while the modem is in synchronous modes.

| Range: n = 0 to 2 Default: n = 0

&Yn Select Stored Profile on Powerup

| Selects which user profile will be recalled into the active profile when the modem is powered up.

| Range: n = 0 or 1 Default: n = 0

&Zn=x Store Telephone Number

| Stores a dialing string x in one of four non-volatile memory locations n.

| Range: n = 0 - 3; x = dial string

#### AT% (Percent) Commands

%C Data Compression

| Enables or disables data compression negotiation.

| Range: n = 0 or 1 Default: n = 1

%En Enable/Disable Line Quality Monitor and Auto-Retrain Fallback/
Fall Forward

| Determines whether the modem will automatically monitor the line quality and request a retrain or fall back when line quality is insufficient, or fall forward when line quality is sufficient.

| Range: n = 0 to 2 Default: n = 0

%L Line Signal Level

| Returns the level of the received signal.

%Q Line Signal Quality

| Returns the quality (DAA dependent) of the received signal.

#### AT\ (Backslash) Commands

\An Block Size for MNP

| An MNP error-corrected link will use the maximum block size specified by the parameter.

| Range: n = 0 to 3 Default: n = 1

\Bn Transmit Break

| Sends a break to the remote modem.

| Range: n = 0 to 9 (100 ms units) Default: n = 3

\Kn Set Break Control

| Selects the way in which the modem handles a break signal from the DTE or remote modem, or the \B command string.

| Range: n = 0 to 5 Default: n = 5

\Nn Modem Protocol Options

| Selects the error correction mode to be used in subsequent connections.

| Range: n = 0 to 5 Default: n = 3

\Vn Single Line Connect Message Format

| Defines how the Connect message will be reported.

| Range: n = 0 or 1 Default: n = 0

#### AT+ (Plus) Commands

+MS Select Modulation

Selects the modulation. Optional parameters can be used to enable/disable automode and set lower and upper limits to connection rates

Command format:

+MS=<mode> [,[<automode>][,[<minimum_rate>][,[<maximum_rate>]]]]

Ranges and defaults:

mode: 0, 1, 2, 3, 9, 10, 11, 56, 64, 69 (default=56)

automode: 0, 1 (default=1)

minimum_rate: 300-33600 (default=300)

maximum_rate: 300-56000 (default=56000)

#### AT* (Asterisk) Commands

*Hn Link Negotiation Speed

| No action. For compatibility only.

| Range: n = 0 to 2 Default: n = 2

*B Display Blacklisted Numbers

| Returns list of blacklisted numbers to DTE.

*D Display Delayed Numbers

| Returns list of delayed numbers, with their delays, to DTE.

*NCn Country Select

| Selects country parameters.

| Range: n = one of four country codes stored in EPROM Default: n = 0

#### Caller ID Commands

#CIDn Enable/Disable Caller ID

| Enables or disables Caller ID.

| Range: n = 0 to 2 Default: n = 0

#### Class 1 FAX Commands

Digi modems support FAX commands conforming to EIA standard 578. These commands are given here with short descriptions; complete descriptions are given in the standard, available from the Electronic Industry Association. It also supports ECM mode and V.17terbo at 19.2K bps.

+FCLASS? Service Class Indication

| Causes the modem to display the current setting. The modem can operate either as a Class 0 data modem or a Class 1 FAX modem. Returns 0 for a Class 0 data modem, or 1 for a Class 1 FAX modem.

+FCLASS=? Service Class Capabilities

| Causes the modem to display the classes it supports. Returns "0" if set up for data mode; "0, 1" indicates that the modem is capable of data and Class 1 FAX services.

+FCLASS=n Service Class Selection

| Sets the modem for Class 0 (data) or Class 1 (FAX) operation.

| n = 0: Specifies Class 0 data operation. n = 1: Specifies Class 1 FAX operation. n = 2: Specifies Class 2 FAX operation.

+FAE=n Auto Answer in Data and FAX Mode

| Sets the modem to auto answer in data or FAX mode, or only in FAX mode.

| n = 0: Auto answer in FAX mode only. n = 1: Auto answer in either FAX or data modes.

| In data mode only, the DTE must issue the ATO to go online after a connection is established.

+FTS=? FTS Range Capabilities

| Modem returns "0-255".

+FTS=n Transmission Silence

| Causes the modem to stop transmitting data and pause for n x 10 ms. Modem returns OK after timer has expired.

+FRS=? FRS Range Capabilities

| Modem returns "0-255".

+FRS=n Receive Silence

| Causes the modem to stop transmitting data and pause for n x 10 ms for silence; then the timer is reloaded.

+FTM=? FAX Normal Mode Transmit Capabilities

| Causes the modem to output the transmit modulations supported by the modem. See Table 1: Supported FAX Transmit/Receive Modulations.

+FTM=n Modem Initiate Training

| Causes the modem to initiate training with modulation of type n. Table 1: Supported FAX Transmit/Receive Modulations shows the values you can enter for this command and the meaning of those values.

Table 1: Supported FAX Transmit/Receive Modulations

n | Modulation | Speed (Bits/Second)
24 | V.27terbo | 2400
48 | V.27terbo | 4800
72 | V.29 | 7200
73 | V.17LT | 7200
74 | V.17ST | 7200
96 | V.29 | 9600
97 | V.17LT | 9600
98 | V.17ST | 9600
121 | V.17LT | 12000
122 | V.17ST | 12000
145 | V.17LT | 14400
146 | V.17ST | 14400

+FRM=? FAX Normal Mode Receive Capabilities

| Causes the modem to output the receive modulations supported by the modem. See Table 1: Supported FAX Transmit/Receive Modulations.

+FRM=n Modem Accept Training

| Causes the modem to accept training with n type modulation and the protocol is normal mode. Table 1: Supported FAX Transmit/Receive Modulations shows the values you can enter for this command and the meaning of those values.

| Returns CONNECT or 1 to DTE after carrier is detected.

+FTH=? FAX HDLC Mode Transmit Capabilities

| Causes the modem to output the FAX HDLC transmit capabilities supported by +FTM=?. See Table 1: Supported FAX Transmit/Receive Modulations.

+FTH=n Modem Initiate Training (HDLC)

| Causes the modem to initiate training with n type modulation and the protocol is HDLC mode. Table 1: Supported FAX Transmit/Receive Modulations shows the values you can enter for this command and the meaning of those values.

| Returns CONNECT or 1 to DTE after carrier is detected.

+FRH=? FAX HDLC Mode Receive Capabilities

| Causes the modem to output the FAX HDLC receive capabilities supported by +FTM=?. See Table 1: Supported FAX Transmit/Receive Modulations.

+FRH=n Modem Accept Training (HDLC)

| Causes the modem to accept training with n type modulation and the protocol is HDLC mode. Table 1: Supported FAX Transmit/Receive Modulations shows the values you can enter for this command and the meaning of those values.

| Returns CONNECT or 1 to DTE after carrier is detected.

#### Class 2 FAX Commands

+FAXERR T.30 Session Error Report

| Command syntax: +FAXERR

| Response syntax: +FAXERRR=<value>

| 0-9: Call placement and termination.

| 0: Normal and proper end of connection.

| 1: Ring detected without successful handshake

| 2: Call aborted, from +FK or <CAN>

| 10-19: Transmit Phase A & miscellaneous errors

| 20-39: Transmit Phase B hang-up codes

| 20: Unspecified transmit Phase B error

| 23: COMREC invalid command received

| 25: DCS sent 3 times without response

| 27: Failure to train

| 40-49: Transmit Phase C hang-up codes

| 40: Unspecified transmit Phase C error

| 50-69: Transmit Phase D hang-up codes

| 52: No response to MPS repeated 3 times

| 53: Invalid response to MPS

| 54: No response to EOP repeated 3 times

| 55: Invalid response to EOP

| 56: No response to EOM repeated 3 times

| 57: Invalid response to EOM

| 70-89: Receive Phase B hang-up codes

| 90-99: Receive Phase C hang-up codes

| 90: Unspecified receive Phase C error

| 100-119: Receive Phase D hang-up codes

| 100: Unspecified receive Phase D error

| 120-255: Reserved codes

+FBOR Data Bit Order Selection

| Command syntax: +FBOR=<value>

| 0: Direct bit order for both Phase C data and Phase B/D data

| 1: Reversed bit order for Phase C data and direct bit order for Phase B/D data

| 2: Direct bit order for Phase C data and reversed bit order for Phase B/D data

| 3: Reversed bit order for both Phase C data and for Phase B/D data

| Note:

| Direct bit order: First bit transferred of each byte on the DTE-DCE link is the first bit transferred in the PSTN data carrier.

| Reversed bit order: Last bit transferred of each byte on the DTE-DCE link is the first bit transferred in the PSTN data carrier.

+FCR Capability to Receive

| Command syntax: +FCR=<value>

| 0: Indicates the modem will not receive message data.

| 1: Indicates the modem can receive message data.

+FDCC FAX Capability Parameters

| Command syntax: +FDCC=VR,BR,WD,LN,DF,EC,BF,ST

| Response syntax: VR,RB,WD,LN,DF,EC,BF,ST

| Valid Values:

| VR: Vertical resolution

| 0: Normal, 98 lpi

| 1: Fine, 196 lpi

| BR: Bit rate

| 0: 2400 bps V.27ter

| 1: 4800 bps V.27ter

| 2: 7200 bps V.29 or V.17

| 3: 9600 bps V.29 or V.17

| 4: 12000 bps V.33 or V.17

| 5: 14400 bps V.33 or V.17

| WD: Page width

| 0: 1728 pixels in 215 mm

| LN: Page length

| 0: A4, 297 mm

| 2: Unlimited length

| DF: Data compression format

| 0: 1-D modified Huffman

| EC: Error Correction

| 0: Disable ECM

| BF: Binary file transfer

| 0: Disable BFT

| ST: Scan time/line

| VR=NormalVR=Fine

| 0: 0 ms 0 ms

| 1: 5 ms 5 ms

| 2: 10 ms 5 ms

| 3: 10 ms 10 ms

| 4: 20 ms 10 ms

| 5: 20 ms 20 ms

| 6: 40 ms 20 ms

| 7: 40 ms 40 ms

+FDCS Current Session Results

| Command syntax: +FDCS?

| Response syntax: VR,BR,WD,LN,DF,EC,BF,ST

| Valid Values:

| VR: Vertical resolution

| 0: Normal, 98 lpi

| 1: Fine, 196 lpi

| BR: Bit rate.

| 0: 2400 bps V.27ter

| 1: 4800 bps V.27ter

| 2: 7200 bps V.29 or V.17

| 3: 9600 bps V.29 or V.17

| 4: 12000 bps V.33 or V.17

| 5: 14400 bps V.33 or V.17

| WD: Page width

| 0: 1728 pixels in 215 mm

| LN: Page length

| 0: A4, 297 mm

| 2: Unlimited length

| DF: Data compression format

| 0: 1-D modified Huffman

| EC: Error Correction

| 0: Disable ECM

| BF: Binary file transfer

| 0: Disable BFT

| ST: Scan time/line

| VR=Normal VR=Fine

| 0: 0 ms 0 ms

| 1: 5 ms 5 ms

| 2: 10 ms 5 ms

| 3: 10 ms 10 ms

| 4: 20 ms 10 ms

| 5: 20 ms 20 ms

| 6: 40 ms 20 ms

| 7: 40 ms 40 ms

| The modem will return the negotiated T.30 parameters for the current session.

+FDIS Current Session Parameters

| Command syntax: +FDIS=VR,BR,WD,LN,DF,EC,BF,ST

| Response syntax: VR,BR,WD,LN,DF,EC,BF,ST

| Valid Values:

| VR: Vertical resolution

| 0: Normal, 98 lpi

| 1: Fine, 196 lpi

| BR: Bit rate

| 0: 2400 bps V.27ter

| 1: 4800 bps V.27ter

| 2: 7200 bps V.29 or V.17

| 3: 9600 bps V.29 or V.17

| 4: 12000 bps V.33 or V.17

| 5: 14400 bps V.33 or V.17

| WD: Page width

| 0: 1728 pixels in 215 mm

| LN: Page length

| 0: A4, 297 mm

| 2: Unlimited length

| DF: Data compression format

| 0: 1-D modified Huffman

| EC: Error Correction

| 0: Disable ECM

| BF: Binary file transfer

| 0: Disable BFT

| ST: Scan time/line

| VR=NormalVR=Fine

| 0: 0 ms 0 ms

| 1: 5 ms 5 ms

| 2: 10 ms 5 ms

| 3: 10 ms 10 ms

| 4: 20 ms 10 ms

| 5: 20 ms 20 ms

| 6: 40 ms 20 ms

| 7: 40 ms 40 ms

+FDR Begin or continue Phase C Receive Data

| Command syntax: +FDR

| This command will initiate a transition to Phase C data reception.

+FDT Begin Phase C Data Transmission

| Command syntax: +FDT

| This command prefixes Phase C data transmission.

+FET Transmit Page Punctuation

| Command syntax: +FET=<ppm>

| 0: [PPS-]MPSAnother page next, same document.

| 1: [PPS-]EOMAnother document next.

| 2: [PPS-]EOPNo more pages or documents.

| 3: PPS-NULLAnother partial page next.

| 4: [PPS-]PRI-MPS Another page, procedure interrupt.

| 5: [PPS-]PRI-EOM Another document, procedure interrupt.

| 6: [PPS-]PRI-EOP All done, procedure interrupt.

| 7: CTCContinue to correct.

| This command is used to punctuate page and document transmission, after one or more +FDT commands.

+FK Session Termination

| Command syntax: +FK

| This command causes the modem to terminate the session in an orderly manner.

+FLID Local ID String

| Command syntax: +FLID="<local ID string>"

| Valid values: ASCII string can be up to 20 characters.

| Response syntax: +FLID=?

| Return value: (20), (32-127)

+FMDL Request Model Identification

| Command syntax: +FMDL?

| Response value: The information text cannot exceed 2048 characters.

| This command causes the modem to send one or more lines of information text which is used to identify the product.

+FMFR Manufacturer's Identification

| Command syntax: +FMFR?

| Response value: The information text cannot exceed 2048 characters.

| This command causes the modem to send one or more lines of information text which is used to identify the manufacturer.

+FREV Request Product Revision Identification

| Command syntax: +FREV?

| Response value: The information text cannot exceed 2048 characters.

| This command causes the modem to send one or more lines of information text which is used to identify the version, revision level or data, or other pertinent information.

+FPHCTO DTE Phase C Response Time-out

| Command syntax: +FPHCTO=<value>

| value = 0 - 255 (100 ms units)

| Default value: 30

| This value determines how long the modem will wait for a command after reaching the end of data when transmitting in Phase C.

+FPTS Page Transfer Status

| Command syntax: +FPTS=<ppr>

| 1: MCF; Page good.

| 2: RTN; Page good; retrain requested.

| 3: RTP; Page good; retrain requested.

#### Class 2 FAX Responses

+FCFR Indicate Confirmation to Receive

| Syntax: +FCFR

| Usage: Indicates the reception of an acceptable TCF training burst and valid DCS signal from the remote machine.

+FCON Facsimile Connection Response

| Syntax: +FCON

| Usage: Indicates connection with a FAX machine. Generated in response to an originate command or answer command.

+FCSI Reports the Remote ID

| Syntax: +FCSI: "<CSI ID string>"

| Usage: Reports the Called Station's ID.

+FDCS Reports DCS Frame Information

| Syntax: +FDCS: VR,BR,WD,LN,DF,EC,BF,ST

| Usage: Reports negotiated parameters for the current session. The subparameters are described in the +FDCS command description.

+FDIS Reports DIS Frame Information

| Syntax: +FDIS: VR,BR,WD,LN,DF,EC,BF,ST

| Usage: Reports remote FAX capabilities and intentions. The subparameters are described in the +FDCS command description.

+FET Post Page Message Response

| Syntax: +FET: <ppm>

| Usage: Generated by the receiving modem after the end of Phase C reception, on receipt of the post-page message from the transmitting station. The <ppm> codes are described in the +FET command description.

+FHNG Call Termination with Status

| Syntax: +FHNG: <hangup status code>

| Usage: Indicates that the call has been terminated. The <hang-up status code> values are described in the +FAXERR command description.

+FPTS Receive/Transmit Page Transfer Status

| Syntax: +FPTS: <ppr>

| Usage: Reports a <ppr> number representing the copy quality and related post-page message. The valid <ppr> values are defined in the +FPTS command description.

+FTSI Report the Remote ID

| Syntax: +FTSI: "<TSI ID string>"

| Usage: Reports the transmitting station's ID.

#### S Registers

All bit-mapped registers are read-only. The appropriate AT command which controls the relevant bits in the S register should be used to change the value.

The factory default values are stored in ROM and are loaded into the active configuration at powerup or by the ATZ n command. In addition, the designated default profile can be changed by entering the &Y n command where n is one of the two possible user profiles.

All of the factory default values may be loaded at any time by entering the &F command.

#### S Register Definitions

S0 Autoanswer Ring Count

| Sets the number of the rings required before the modem automatically answers a call. Setting this register to zero disables autoanswer mode.

| Range: 0 to 255 Default: 0 Units: rings

S1 Ring Count

| The value of S1 is incremented with each ring. If no rings occur over an 8 second interval, this register is cleared.

| Range: 0 to 255 Default: 0 Units: rings

S2 Escape Character

| The decimal value of the ASCII character used as the escape character. The default value corresponds to an ASCII +. A value over 127 disables the escape process, i.e., no escape character will be recognized.

| Range: 0 to 255 Default: 043 Units: ASCII characters

S3 Carriage Return <CR> Character

| Sets the command line and result code terminator character. Affects asynchronous operation only.

| Range: 0 to 127, ASCII decimal Default: 013 (carriage return) Units: ASCII characters

S4 Line Feed <LF> Character

| Sets the character recognized as a line feed. Affects asynchronous operation only.

| Range: 0 to 27, ASCII decimal Default: 010 (Line Feed) Units: ASCII characters

S5 Backspace <BS> Character

| Sets the character recognized as a backspace. Pertains to asynchronous operation only.

| Range: 0 to 127, ASCII decimal Default: 008 (backspace) Units: ASCII characters

S6 Wait Before Dialing

| Sets the length of time, in seconds, that the modem must wait (pause) after going off-hook before dialing the first digit of the telephone number.

| Range: 2 to 255 Default: 2 Units: seconds

S7 Wait for Carrier

| Sets the time, in seconds, that the modem must wait before hanging up because carrier is not detected.

| Range: 1-255 Default: 60 Units: seconds

S8 Pause Time for Command or Dial Modifier

| Sets the time, in seconds, that the modem must pause when the "," dial modifier is encountered in the dial string.

| Range: 0 to 255 Default: 2 Units: seconds

S9 Carrier Validation Time

| Sets the time, in tenths of a second, that the carrier must be present before the modem considers it valid and turns on RLSD.

| Range: 1 to 255 Default: 6 Units: 0.1 seconds

S10 Lost Carrier Delay

| Sets the length of time, in tenths of a second, that the modem waits before hanging up after a loss of carrier.

| Range: 1 to 255 Default: 14 Units: 0.1 seconds

S11 DTMF Duration

| Sets the length, in milliseconds, of DTMF tones.

| Range: 50 to 255 Default: 95 Units: 0.001 seconds

S12 Guard Time

| Defines the maximum period, in .02 second intervals, allowed between consecutive asynchronous escape characters (+) for the escape sequence to be considered valid.

| Range: 0 to 255 Default: 50 Units: 0.02 seconds

S14 Bit-Mapped Options

| Indicates the status of command options.

| Default: (8Ah), (138d), (10001010b) Bit 0: Reserved.

| Bit 1: Command echo (E n)

| 0 = E0 - Echo off 1 = E1 - Echo on

| Bit 2: Response (Q n)

| 0 = Q0 - Send result codes 1 = Q1 - Quiet

| Bit 3: Result codes (V n)

| 0 = V0 - Numeric 1 = V1 - Verbose

| Bit 4: Reserved

| Bit 5: Tone/Pulse Dialing

| 0 = T (tone) 1 = P (pulse)

| Bit 6: Reserved

| Bit 7: Originate/Answer

| 0 = answer 1 = originate

S16 Bit-Mapped Option Status

| Indicates status of the test in progress.

| Default: 000

| Bit 0: Local analog loopback

| 0 = local ALB disabled 1 = local ALB enabled (&T1)

| Bit 1: Reserved

| Bit 2: Local digital loopback

| 0 = local DL disabled 1 = local DL enabled (&T3)

| Bit 3: Remote digital loopback (RDL) status

| 0 = RDL off 1 = RDL in progress

| Bit 4: RDL requested

| 0 = RDL not active 1 = RDL active (&T6)

| Bit 5: RDL w/ self-test

| 0 = RDL w/ self-test disabled 1 = RDL w/ self-test enabled (&T7)

| Bit 6: Local analog loopback (LAL) w/self-test

| 0 = LAL w/ self-test disabled 1 = LAL w/ self-test enabled (&T8)

| Bit 7: Reserved

S18 Modem Test Timer

| Sets the length of time, in seconds, that the modem conducts a test (commanded by &T n) before returning to the command mode. If this register value is zero, the test will not automatically terminate; the test must be terminated from the command mode by issuing an &T0 or H command.

| Range: 0 to 255 seconds Default: 0

S19 AutoSync Protocol Support Mode

| Default = 000

| Bit 0 Reserved

| Bit 1: Format selection

| 0 = BSC protocol 1 = HDLC protocol

| Bit 2: Address detection

| 0 = Address detection disabled 1 = Address detection enabled

| Bit 3: Coding

| 0 = NRZI bit coding 1 = NRZ bit coding

| Bit 4: Idle indicator

| 0 = Selects mark idle 1 = Selects flag or sync idle

| Bits 5-7: Reserved

| Must be set before issuing &Q4.

S20 AutoSync HDLC Address

| Default = 000

| In HDLC mode: HDLC address.

| In AutoSync mode: BSC sync character.

| Must be set before issuing &Q4

S21 V.24/General Bit-Mapped Options

| Indicates the status of command options.

| Default: (34h), (052d), (00110100b)

| Bit 0: Reflects &J n; but has no effect.

| Bit 1: Reserved

| Bit 2: CTS behavior (&R n)

| 0 = &R0 CTS follows RTS 1 = &R1 CTS is always on

| Bits 4, 3: DTR behavior (&D n)

| 00 = &D0 ignore 01 = &D1 return to command mode 10 = &D2 disconnect 11 = &D3 reset modem

| Bit 5: DCD behavior (&C n)

| 0 = &C0 DCD is always on 1 = &C1 DCD is on after connect

| Bit 6: DSR behavior (&S n)

| 0 = &S0 DSR is always on 1 = &S1 DSR is on after connect

| Bit 7: Long space disconnect (Y n)

| 0 = Y0 1 = Y1

S22 Speaker/Results Bit-Mapped Options

| Indicates the status of command options.

| Default: (75h), (117d), (01110101b)

| Bit 1, 0: Speaker volume (L n)

| 00 = L0 - Off 01 = L1 - Low 10 = L2 - Medium 11 = L3 - High

| Bit 3, 2: Speaker control (M n)

| 00 = M0 - Disabled 01 = M1 - Off on carrier 10 = M2 - Always on 11 = M3 - On during handshake

| Bit 6, 5, 4: Result codes and call progress (X n)

| 000 = X0 is selected 001 = reserved 010 = reserved 011 = reserved 100 = X1 is selected 101 = X2 is selected 110 = X3 is selected 111 = X4 is selected

| Bit 7: Reserved

S23 General Bit-Mapped Options

| Indicates the status of command options.

| Default: (37h), (055d), (00110111b)

| Bit 0: Grant RDL

| 0 = &T5 - RDL not allowed

| 1 = &T4 - RDL allowed

| Bit 3, 2, 1: DTE rate

| 000 = 0 - 300 bps 001 = 600 bps 010 = 1200 bps 011 = 2400 bps 100 = 4800 bps 101 = 9600 bps 110 = 19200 bps 111 = 38400 bps or higher

| Bit 5, 4: Assumed DTE parity

| 00 = even parity 01 = not used 10 = odd parity 11 = no parity

| Bit 7, 6: Guard tones (&G n)

| 00 = none 01 = none 10 = 1800 Hz 11 = not used

S24 Sleep Inactivity Timer

| Defines the length of time, in seconds, that the modem will operate in normal mode with no detected activity on the telephone line or from the DTE before going to low-power sleep mode. Any DTE or telephone line activity resets the timer. If S24 is set to zero, neither DTE nor telephone line inactivity will cause the modem to sleep.

S25 DTR Debounce time

| Sets the length of time that the modem will ignore DTR for before hanging up. Its units are seconds for synchronous modes and one hundredths of a second for other modes.

| Range: 0 to 255 (1 second for synchronous mode 1; 0.01 seconds otherwise) Default: 5 Units: 0.05 seconds

S26 RTS to CTS Delay Interval

| Sets the time delay, in hundredths of a second, before the modem turns CTS ON after detecting an OFF-to-ON transaction on RTS when &R0 is commanded. Pertains to synchronous operation only.

| Range: 0 to 255 Default: 001 Units: 0.01 seconds

S27 Bit-Mapped Options

| Indicates the status of command options.

| Default: (49h), (73d), (01001001b)

| Bits 3, 1, 0: Synchronous/asynchronous selection (&Q n)

| 000 = &Q0 is selected 001 = &Q1 is selected 010 = &Q2 is selected 011 = &Q3 is selected 100 = &Q4 is selected

| Bit 2: Leased line control (&L n)

| 0 = &L0 is selected 1 = &L1 is selected

| Bit 5, 4: Sync transmit clock select (&X n)

| 00 = &X0 internal clock 01 = &X1 external clock 10 = &X2 TX slave to RX clock 11 Reserved

| Bit 6: CCITT/Bell mode select (B n)

| 0 = B0 is selected 1 = B1 is selected

| Bit 7: Reserved

S28 Bit-Mapped Options

| Indicates the status of command options.

| Default: 0

| Bits 0, 1: Reserved

| Bit 2: Reserved (always 0)

| Bits 4, 3: Pulse dialing (&Pn)

| 00 = &P0 39%-61% make/break at 10 PPS 01 = &P1 33%-67% make/break at 10 PPS 10 = &P2 39%-61% make/break at 20 PPS 11 = &P3 33%-67% make/break at 20 PPS

S29 Flash Dial Modifier Time

| The length of time, in 10-millisecond units, that the modem stays on-hook when executing a ! (flash) dial modifier. May be limited by country restrictions.

| Range: 0 to 255 10-millisecond intervals Default: 0

S30 Inactivity Timer Value

| The length of time, in 10-second intervals, that the modem will stay online before disconnecting when no data is sent or received. In error correcting mode, any data transmitted or received resets the timer. In other modes, any data transmitted resets the timer. Inoperative in synchronous mode.

| Range: 0 to 255 Default: 0 Units: 10-second intervals

S31 Bit Mapped Options

| Bit 0: Single line connect message (\Vn)

| 0 = \V0 - Messages controlled by S95, Wn and Vn. 1 = \V1 - Single line connect message.

| Bit 1: Auto line speed detect (Nn)

| 0 = N0 - Disabled 1 = N1 - Enabled

| Bits 3, 2: Error correction progress (Wn)

| 00 = W0 DTE speed only 01 = W1 Full reporting 10 = W2 DCE speed only

| Bits 5, 4: Caller ID (#CID)

| 00 = Caller ID disabled 01 = Short (formatted) caller ID 10 = Long (unformatted) caller ID

| Bits 7,6: Reserved

S32 XON Character

| Defines the value of the XON character

| Range: 0-255 Default: 17 (11h)

S33 XOFF Character

| Defines the value of the XOFF character

| Range: 0 to 255 Default: 19 (13h)

S36 LAPM Failure Control

| Bits 2, 1, 0: Action to be taken when LAPM failure occurs. Fallback options are initiated immediately upon connection when S48=128. If an invalid number is entered, it is accepted into the register, but S36 will behave as if the default value has been entered.

| 000 = Modem disconnects. 001 = Modem stays online and Direct mode connection is established. 010 = Reserved.

| 011 = Modem stays online and Normal mode connection is established. 100 = MNP connection is attempted; failure results in disconnect.

| 101 = MNP connection is attempted; failure results in Direct mode connection. 110 = Reserved. 111 = MNP connection is attempted; failure results in Normal mode connection.

| Bits 7-3: Reserved

| Default: 7 (00000111b)

S37 Desired DCE Speed

| Default = 000

| 0 = Attempt automode connection

| 1 - 3 = Attempt a 300 bps connection

| 5 = Attempt a V.22 1200 bps connection

| 6 = Attempt a V.22 2400 bps connection

| 7 = Attempt a V.23 connection

| 8 = Attempt a V.32 bis/V.32 4800 bps connection

| 9 = Attempt a V.32 bis/V.32 9600 bps connection

| 10 = Attempt a V.32 bis 12000 bps connection

| 11 = Attempt a V.32 bis 14400 bps connection

| 12 = Attempt a V.32 bis 7200 bps connection

S38 Delay Before Forced Hangup

| Specifies how long to wait after receiving the H command (or ON to OFF transition of DTR if the modem is set to follow the signal) before going on-hook. Applicable only to connection with error correction. Can be used to ensure that all data in modem's buffer is sent before disconnection.

| 0 - 254 = number of seconds before disconnect.

| 255 = no disconnect.

S39 Flow Control Bit Mapped Options

| Default = 3 (00000011b)

| Bits 2, 1, 0: Status of command options

| 000 = No flow control 001 = Reserved 010 = Reserved 011 = &K3 RTS/CTS 100 = &K4 XON/XOFF 101 = &K5 Transparent XON 110 = &K6 Both methods 111 = Reserved

S40 Bit Mapped Option Status

| Default = 107 (6Bh)

| Bits 1, 0: MNP extended services (-K n)

| 00 = -K0 extended services disabled 01 = -K1 extended services enabled 10 = -K2 extended services enabled

| Bit 2: Reserved

| Bits 5-3: Break handling (\Kn)

| 000 = \K0 001 = \K1 010 = \K2 011 = \K3 100 = \K4 101 = \K5

| Bits 7, 6: MNP block size (\A n)

| 00 = \A0 64 characters 01 = \A1 128 characters 10 = \A2 192 characters 11 = \A3 256 characters

S41 General Bit Mapped Options

| Default = 131 (83h)

| Bits 1,0: Compression selection (%Cn)

| 00 = %C0 Disabled 01 = %C1 MNP5 10 = %C2 V.42 BIS 11 = %C3 Both

| Bits 6,2: Auto retrain and fallback/fall forward (%En)

| 00 = %E0 Retrain, fallback/fall forward disabled. 01 = %E1 Retrain enabled. 10 = %E2 Fallback/fall forward enabled.

| Bits 7, 5-3: Reserved

S46 Data Compression Control

| Range = 136 or 138 Default value = 138 (disabled)

| 136 = Execute error correction protocol with no compression. 138 = Execute error correction protocol with compression.

S48 V.42 Negotiation Action

| The V.42 negotiation process determines the capabilities of the remote modem. However, when the capabilities of the remote modem are known and negotiation is unnecessary, this process can be bypassed.

| Range = 0, 7 or 128. Invalid numbers treated as if 128 were entered. Default = 7

| 0 = Disable negotiation; bypass the detection and negotiation phases; proceed with LAPM.

| 7 = Enable negotiation.

| 128 = Disable negotiation; bypass detecteion and negotiation phases; proceed at once with the fallback action specified in S36. Can be used to force MNP.

S82 Break Handling Options

| Not used. For compatibility only.

S86 Call Failure Reason Code

| S86 contains a value which indicates the reason for a NO CARRIER result code.

| Default: 0 Range: 0, 4, 5, 9, 12, 13, 14

| 0 = No error; normal disconnect

| 4 = Loss of carrier

| 5 = Error-correcting modem not detected during V.42 negotiation

| 9 = Protocol negotiation failed

| 12 = Remote modem caused normal disconnect

| 13 = Message was transmitted 10 times with no response from the remote modem

| 14 = Violation of protocol

S91 PSTN Transmit Attenuation Level

| Default: 10 Range: 0-15

| Sets the level, in dBm, of attenuation of the transmitted signal in PSTN mode.

S92 FAX Transmit Attenuation Level

| Default: 10 Range: 0-15

| Sets the level, in dBm, of attenuation of the transmitted signal in FAX mode.

S95 Extended Result Codes

| Overrides some Wn command options.

| Default: 0

| Bit 0: CONNECT result code shows DCE speed instead of DTE speed.

| Bit 1: Append /ARQ to CONNECT XXXX in error correction mode

| Bit 2: Enable CARRIER XXXX result code

| Bit 3: Enable PROTOCOL XXXX result code

| Bit 5: Enable COMPRESSION result code

| Bits 4, 6, 7: not used

####

Copyright © 1999, Digi International. All rights reserved.